Public Member Functions | Public Attributes | List of all members
BeagleWksBMParserInternal::Bitmap Struct Reference

Internal: a bitmap of a BeagleWksBMParser. More...

## Public Member Functions
| Bitmap ()
| the constructor More...

## Public Attributes
int | m_colorBytes
| the number of color bytes (1: means black/white, 8: means color) More...
MWAWVec2i | m_dim
| the bitmap dimension More...
std::vector< MWAWColor > | m_colorList
| the color list More...

## Detailed Description

Internal: a bitmap of a BeagleWksBMParser.

## Constructor & Destructor Documentation

## ◆ Bitmap()

BeagleWksBMParserInternal::Bitmap::Bitmap | ( |  | ) |
| inline

the constructor

## Member Data Documentation

## ◆ m_colorBytes

int BeagleWksBMParserInternal::Bitmap::m_colorBytes

the number of color bytes (1: means black/white, 8: means color)

Referenced by BeagleWksBMParser::readBitmap(), and BeagleWksBMParser::readPrefColorMap().

## ◆ m_colorList

std::vector<MWAWColor> BeagleWksBMParserInternal::Bitmap::m_colorList

the color list

Referenced by BeagleWksBMParser::readBitmap(), and BeagleWksBMParser::readColorMap().

## ◆ m_dim

MWAWVec2i BeagleWksBMParserInternal::Bitmap::m_dim

the bitmap dimension

Referenced by BeagleWksBMParser::readBitmap(), and BeagleWksBMParser::readPrefColorMap().

The documentation for this struct was generated from the following file:

- BeagleWksBMParser.cxx